Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEnSightMasterServerReader Class Reference

`#include <vtkEnSightMasterServerReader.h>`

Inheritance diagram for vtkEnSightMasterServerReader:

[legend]
Collaboration diagram for vtkEnSightMasterServerReader:

[legend]
List of all members.

## Detailed Description

reader for compund EnSight files

Date:
  2002/06/17 18:08:54

Revision:
  1.1

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (89%)
  - Cedilnik, Andy (10%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkEnSightMasterServerReader.h)`
  - .`cxx` (`/IO/vtkEnSightMasterServerReader.cxx)`

Tests:
  vtkEnSightMasterServerReader (Tests)

Definition at line 44 of file vtkEnSightMasterServerReader.h.

## Public Types
typedef vtkGenericEnSightReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | DetermineFileName (int piece)
virtual char * | GetPieceCaseFileName ()
virtual void | SetCurrentPiece (int)
virtual int | GetCurrentPiece ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkEnSightMasterServerReader * | SafeDownCast (vtkObject *o)
vtkEnSightMasterServerReader * | New ()
## Protected Methods
| vtkEnSightMasterServerReader ()
| ~vtkEnSightMasterServerReader ()
void | Execute ()
void | ExecuteInformation ()
virtual void | SetPieceCaseFileName (const char *)
## Protected Attributes
char * | PieceCaseFileName
int | MaxNumberOfPieces
int | CurrentPiece

## Member Typedef Documentation

typedef vtkGenericEnSightReader vtkEnSightMasterServerReader::Superclass

| Reimplemented from vtkGenericEnSightReader. Definition at line 47 of file vtkEnSightMasterServerReader.h.

## Constructor & Destructor Documentation

vtkEnSightMasterServerReader::vtkEnSightMasterServerReader | ( |  | ) | `[protected]`

vtkEnSightMasterServerReader::~vtkEnSightMasterServerReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkEnSightMasterServerReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkGenericEnSightReader.

int vtkEnSightMasterServerReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkGenericEnSightReader.

virtual int vtkEnSightMasterServerReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkGenericEnSightReader.

vtkEnSightMasterServerReader* vtkEnSightMasterServerReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkGenericEnSightReader.

void vtkEnSightMasterServerReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkGenericEnSightReader.

vtkEnSightMasterServerReader* vtkEnSightMasterServerReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkGenericEnSightReader.

int vtkEnSightMasterServerReader::DetermineFileName | ( | int | piece | ) |

| Determine which file should be read for piece

virtual char* vtkEnSightMasterServerReader::GetPieceCaseFileName | ( |  | ) | `[virtual]`

| Get the file name that will be read.

virtual void vtkEnSightMasterServerReader::SetCurrentPiece | ( | int |  | ) | `[virtual]`

| Set or get the current piece.

virtual int vtkEnSightMasterServerReader::GetCurrentPiece | ( |  | ) | `[virtual]`

| Set or get the current piece.

void vtkEnSightMasterServerReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkGenericEnSightReader.

void vtkEnSightMasterServerReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkGenericEnSightReader.

virtual void vtkEnSightMasterServerReader::SetPieceCaseFileName | ( | const char * |  | ) | `[protected, virtual]`

## Member Data Documentation

char* vtkEnSightMasterServerReader::PieceCaseFileName`[protected]`

| Definition at line 74 of file vtkEnSightMasterServerReader.h.

int vtkEnSightMasterServerReader::MaxNumberOfPieces`[protected]`

| Definition at line 75 of file vtkEnSightMasterServerReader.h.

int vtkEnSightMasterServerReader::CurrentPiece`[protected]`

| Definition at line 76 of file vtkEnSightMasterServerReader.h.

The documentation for this class was generated from the following file:

- IO/vtkEnSightMasterServerReader.h